Bug 553843 - Review Request: dogtag-pki-ocsp-ui The Dogtag Online Certificate Status Protocol User Interface
Summary: Review Request: dogtag-pki-ocsp-ui The Dogtag Online Certificate Status Prot...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Dogtag-to-Fedora
TreeView+ depends on / blocked
 
Reported: 2010-01-09 04:16 UTC by Kevin Wright
Modified: 2015-07-13 04:56 UTC (History)
8 users (show)

Fixed In Version: 1.3.0-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-04 05:01:23 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Kevin Wright 2010-01-09 04:16:28 UTC
first pass at getting this built in fedora

Comment 1 Kevin Wright 2010-01-12 01:01:58 UTC
Spec URL: http://people.redhat.com/kwright/dogtag-pki-ocsp-ui/dogtag-pki-ocsp-ui.spec
SRPM URL: http://people.redhat.com/kwright/dogtag-pki-ocsp-ui/dogtag-pki-ocsp-ui-1.3.0-3.fc11.src.rpm

Description: The Dogtag Online Certificate Status Protocol User Interface

Comment 2 Matthew Harmsen 2010-01-14 22:38:17 UTC
# cd pki/dogtag/ocsp-ui

# svn diff
Index: dogtag-pki-ocsp-ui.spec
===================================================================
--- dogtag-pki-ocsp-ui.spec     (revision 911)
+++ dogtag-pki-ocsp-ui.spec     (working copy)
@@ -1,6 +1,6 @@
 Name:           dogtag-pki-ocsp-ui
 Version:        1.3.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Dogtag Certificate System - Online Certificate Status Protocol User Interface
 URL:            http://pki.fedoraproject.org/
 License:        GPLv2
@@ -12,8 +12,6 @@
 
 BuildRequires:  ant
 
-Requires:       bash
-
 Provides:       pki-ocsp-ui = %{version}-%{release}
 
 Obsoletes:      pki-ocsp-ui < %{version}-%{release}
@@ -53,6 +51,10 @@
 %{_datadir}/pki/
 
 %changelog
+* Thu Jan 14 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-4
+- Bugzilla Bug #553843 - New Package for Dogtag PKI: dogtag-pki-ocsp-ui
+- Removed "Requires:  bash"
+
 * Wed Jan 6 2010 Matthew Harmsen <mharmsen@redhat.com> 1.3.0-3
 - Bugzilla Bug #553843 - New Package for Dogtag PKI: dogtag-pki-ocsp-ui
 - Take ownership of directories

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       dogtag-pki-ocsp-ui.spec

# svn commit
Sending        ocsp-ui/dogtag-pki-ocsp-ui.spec
Transmitting file data .
Committed revision 917.

Comment 4 Parag AN(पराग) 2010-01-19 04:20:58 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1931014
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
044f9d05bd51eb93d44667ee09d7f51f3c538b0d  dogtag-pki-ocsp-ui-1.3.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package dogtag-pki-ocsp-ui-1.3.0-4.fc13.noarch  =>
Provides: pki-ocsp-ui = 1.3.0-4.fc13
Obsoletes: pki-ocsp-ui < 1.3.0-4.fc13

APPROVED.

Comment 5 Kevin Wright 2010-01-19 08:07:53 UTC
New Package CVS Request
=======================
Package Name: dogtag-pki-ocsp-ui
Short Description: The Dogtag PKI Online Certificate Status Protocol User Interface
Owners: kwright
Branches: F-11, F-12, EL-5
InitialCC: ausil

Comment 6 Jason Tibbitts 2010-01-19 18:26:49 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-01-19 21:36:02 UTC
dogtag-pki-ocsp-ui-1.3.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/dogtag-pki-ocsp-ui-1.3.0-4.fc11

Comment 8 Fedora Update System 2010-01-19 21:56:16 UTC
dogtag-pki-ocsp-ui-1.3.0-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/dogtag-pki-ocsp-ui-1.3.0-4.fc12

Comment 9 Fedora Update System 2010-01-20 18:10:31 UTC
dogtag-pki-ocsp-ui-1.3.0-4.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/dogtag-pki-ocsp-ui-1.3.0-4.el5

Comment 10 Fedora Update System 2010-01-20 22:39:33 UTC
dogtag-pki-ocsp-ui-1.3.0-4.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki-ocsp-ui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2010-0096

Comment 11 Fedora Update System 2010-01-21 00:07:26 UTC
dogtag-pki-ocsp-ui-1.3.0-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki-ocsp-ui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-0829

Comment 12 Fedora Update System 2010-01-21 00:08:23 UTC
dogtag-pki-ocsp-ui-1.3.0-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dogtag-pki-ocsp-ui'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0837

Comment 13 Fedora Update System 2010-02-05 23:52:38 UTC
dogtag-pki-ocsp-ui-1.3.0-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-02-05 23:53:14 UTC
dogtag-pki-ocsp-ui-1.3.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-02-09 03:57:21 UTC
dogtag-pki-ocsp-ui-1.3.0-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.